package org.nl.acs.device_driver.basedriver.plug_pull_device_site;

import org.nl.acs.device.device_driver.standard_inspect.ItemDto;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.defination.OpcDeviceDriverDefination;
import org.nl.acs.device.enums.DeviceType;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * 插拔轴工位
 */
@Service
public class PlugPullDeviceSiteDefination implements OpcDeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "plug_pull_device_site";
    }

    @Override
    public String getDriverName() {
        return "插拔轴工位";
    }

    @Override
    public String getDriverDescription() {
        return "插拔轴工位";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new PlugPullDeviceSiteDeviceDriver()).setDevice(device).setDriverDefination(this);
    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return PlugPullDeviceSiteDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.conveyor);
        return types;
    }

    @Override
    public List<ItemDto> getReadableItemDtos() {
        return ItemProtocol.getReadableItemDtos();
    }

    @Override
    public List<ItemDto> getWriteableItemDtos() {
        return ItemProtocol.getWriteableItemDtos();
    }

}
